import * as vue_demi from 'vue-demi';
import { PropType, VNode } from 'vue-demi';

type MatchMode = "exact" | "partial";

declare const _default: vue_demi.DefineComponent<vue_demi.ExtractPropTypes<{
    query: {
        type: (StringConstructor | RegExpConstructor)[];
        required: true;
        default: string;
    };
    caseSensitive: {
        type: BooleanConstructor;
        default: boolean;
    };
    diacriticsSensitive: {
        type: BooleanConstructor;
        default: boolean;
    };
    splitBySpace: {
        type: BooleanConstructor;
        default: boolean;
    };
    matchMode: {
        type: PropType<MatchMode>;
        default: string;
    };
    highlightClass: {
        type: PropType<Record<string, boolean> | string | string[]>;
        default: string;
    };
    highlightStyle: {
        type: PropType<Record<string, boolean> | string | string[]>;
        default: string;
    };
    highlightTag: {
        type: StringConstructor;
        default: string;
    };
    wrapperTag: {
        type: StringConstructor;
        default: string;
    };
    wrapperClass: {
        type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
        default: string;
    };
    textToHighlight: {
        type: StringConstructor;
        default: string;
    };
    htmlToHighlight: {
        type: StringConstructor;
        default: string;
    };
}>, () => VNode<vue_demi.RendererNode, vue_demi.RendererElement, {
    [key: string]: any;
}> | VNode<vue_demi.RendererNode, vue_demi.RendererElement, {
    [key: string]: any;
}>[] | undefined, {}, {}, {}, vue_demi.ComponentOptionsMixin, vue_demi.ComponentOptionsMixin, "matches"[], "matches", vue_demi.PublicProps, Readonly<vue_demi.ExtractPropTypes<{
    query: {
        type: (StringConstructor | RegExpConstructor)[];
        required: true;
        default: string;
    };
    caseSensitive: {
        type: BooleanConstructor;
        default: boolean;
    };
    diacriticsSensitive: {
        type: BooleanConstructor;
        default: boolean;
    };
    splitBySpace: {
        type: BooleanConstructor;
        default: boolean;
    };
    matchMode: {
        type: PropType<MatchMode>;
        default: string;
    };
    highlightClass: {
        type: PropType<Record<string, boolean> | string | string[]>;
        default: string;
    };
    highlightStyle: {
        type: PropType<Record<string, boolean> | string | string[]>;
        default: string;
    };
    highlightTag: {
        type: StringConstructor;
        default: string;
    };
    wrapperTag: {
        type: StringConstructor;
        default: string;
    };
    wrapperClass: {
        type: (StringConstructor | ObjectConstructor | ArrayConstructor)[];
        default: string;
    };
    textToHighlight: {
        type: StringConstructor;
        default: string;
    };
    htmlToHighlight: {
        type: StringConstructor;
        default: string;
    };
}>> & Readonly<{
    onMatches?: ((...args: any[]) => any) | undefined;
}>, {
    query: string | RegExp;
    caseSensitive: boolean;
    diacriticsSensitive: boolean;
    splitBySpace: boolean;
    matchMode: MatchMode;
    highlightClass: string | Record<string, boolean> | string[];
    highlightStyle: string | Record<string, boolean> | string[];
    highlightTag: string;
    wrapperTag: string;
    wrapperClass: string | Record<string, any> | unknown[];
    textToHighlight: string;
    htmlToHighlight: string;
}, {}, {}, {}, string, vue_demi.ComponentProvideOptions, true, {}, any>;

export { _default as default };
